Name:          coverity-security
Version:       1.1.1
Release:       1%{?dist}
Summary:       Open source Java security library from Coverity
License:       BSD
URL:           http://www.coverity.com/security/
Source0:       https://github.com/coverity/coverity-security-library/archive/%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
%if %{?fedora} >= 21
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
%else
BuildRequires: mvn(org.sonatype.oss:oss-parent)
%endif
BuildArch:     noarch

%description
The Coverity Security Library (CSL) is a lightweight set of
escaping routines for fixing cross-site scripting (XSS),
SQL injection, and other security defects in Java web applications.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-library-%{version}
# Cleanup
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete

%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"

cp -p coverity-escapers/README.md escape-README.md

%mvn_file com.coverity.security:coverity-escapers coverity-escapers

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md escape-README.md
#%license

%files javadoc -f .mfiles-javadoc
#%license

%changelog
* Mon May 18 2015 gil cattaneo <puntogil@libero.it> 1.1.1-1
- initial rpm
